Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Gdk::EventProperty Class Reference

A GdkEventProperty C++ wrapper class. More...

`#include <events.h>`

Inheritance diagram for Inti::Gdk::EventProperty:

List of all members.

## Public Member Functions

Accessors

- GdkEventProperty * gdk_event_property () const
    Get a pointer to the GdkEventProperty structure.
- unsigned int time () const
    Returns the time of the event in milliseconds.
- PropertyState state () const
    Returns whether the property was changed (PROPERTY_NEW_VALUE) or deleted (PROPERTY_DELETE).

## Detailed Description

A GdkEventProperty C++ wrapper class.

An EventProperty describes a property change on a window.

The event type is PROPERTY_NOTIFY.

The documentation for this class was generated from the following file:

- events.h

Main Page - Footer